# Storage

Lager

## GET /erp/storages/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}":{"get":{"tags":["Storage"],"summary":"Find an existing Resource by identifier","operationId":"getById_16","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-Storage":{"description":"Lager","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"Ist das Lager aktiv?","readOnly":true},"number":{"type":"string","description":"Lager-Nr."},"displayName":{"type":"string","description":"Anzeigename"},"salesStorage":{"type":"boolean","default":false,"description":"Lieferlager?"},"purchaseOrderStorage":{"type":"boolean","default":false,"description":"Bestelllager?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll das Lager in die Summierung der Bestände/Verfügbarkeiten mit einbezogen werden?"},"returnOrderStorage":{"type":"boolean","default":false,"description":"Ziel-Lager für Retouren (z.B. aus Rechnungskorrektur mit WR)"},"pickingRequired":{"type":"boolean","default":false,"description":"Muss in diesem Lager kommissioniert werden?"},"withStorageBins":{"type":"boolean","default":false,"description":"Sollen in diesem Lager Lagerplätze verwendet werden"},"allowNegativeStock":{"type":"boolean","default":false,"description":"Darf in diesem Lager negativer Bestand gebucht werden"},"transit":{"type":"boolean","default":false,"description":"Ist es das Transitlager"},"identifier":{"type":"string","description":"Nur bei Lagern ohne Lagerplätze: Barcode (vom Standard-Lagerplatz)"},"onlyOneBatchPerStorageBin":{"type":"boolean","default":false,"description":"Nur eine Charge je Artikel pro Lagerplatz"},"supplyStorage":{"type":"boolean","default":false,"description":"Nachschublager"},"forFabricationComponents":{"type":"boolean","default":false,"description":"Material-Lager"},"defaultForFabricationComponents":{"type":"boolean","default":false,"description":"Standard-Material-Lager"},"fabricationWorkbenchStorage":{"type":"boolean","default":false,"description":"Produktion: Werkbank-Lager"},"fabricationQualityAssurance":{"type":"boolean","default":false,"description":"Produktion: QS-Lager"},"fabricationDefectiveStorage":{"type":"boolean","default":false,"description":"Produktion: Defekt-Lager"},"fabricationTargetStorage":{"type":"boolean","default":false,"description":"Produktion: Ziel-Lager"},"considerForOrderProposal":{"type":"boolean","default":false,"description":"Für Bestellvorschlag berücksichtigen"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/storages/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}":{"put":{"tags":["Storage"],"summary":"Update existing Resource ","operationId":"update_15","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-Storage":{"description":"Lager","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"Ist das Lager aktiv?","readOnly":true},"number":{"type":"string","description":"Lager-Nr."},"displayName":{"type":"string","description":"Anzeigename"},"salesStorage":{"type":"boolean","default":false,"description":"Lieferlager?"},"purchaseOrderStorage":{"type":"boolean","default":false,"description":"Bestelllager?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll das Lager in die Summierung der Bestände/Verfügbarkeiten mit einbezogen werden?"},"returnOrderStorage":{"type":"boolean","default":false,"description":"Ziel-Lager für Retouren (z.B. aus Rechnungskorrektur mit WR)"},"pickingRequired":{"type":"boolean","default":false,"description":"Muss in diesem Lager kommissioniert werden?"},"withStorageBins":{"type":"boolean","default":false,"description":"Sollen in diesem Lager Lagerplätze verwendet werden"},"allowNegativeStock":{"type":"boolean","default":false,"description":"Darf in diesem Lager negativer Bestand gebucht werden"},"transit":{"type":"boolean","default":false,"description":"Ist es das Transitlager"},"identifier":{"type":"string","description":"Nur bei Lagern ohne Lagerplätze: Barcode (vom Standard-Lagerplatz)"},"onlyOneBatchPerStorageBin":{"type":"boolean","default":false,"description":"Nur eine Charge je Artikel pro Lagerplatz"},"supplyStorage":{"type":"boolean","default":false,"description":"Nachschublager"},"forFabricationComponents":{"type":"boolean","default":false,"description":"Material-Lager"},"defaultForFabricationComponents":{"type":"boolean","default":false,"description":"Standard-Material-Lager"},"fabricationWorkbenchStorage":{"type":"boolean","default":false,"description":"Produktion: Werkbank-Lager"},"fabricationQualityAssurance":{"type":"boolean","default":false,"description":"Produktion: QS-Lager"},"fabricationDefectiveStorage":{"type":"boolean","default":false,"description":"Produktion: Defekt-Lager"},"fabricationTargetStorage":{"type":"boolean","default":false,"description":"Produktion: Ziel-Lager"},"considerForOrderProposal":{"type":"boolean","default":false,"description":"Für Bestellvorschlag berücksichtigen"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /erp/storages/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}":{"delete":{"tags":["Storage"],"summary":"Delete an existing Resource","operationId":"delete_13","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/storages/{id}/deactivate

> deaktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/deactivate":{"put":{"tags":["Storage"],"summary":"deaktiviert eine bestehende Resource","operationId":"deactivate_5","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-Storage":{"description":"Lager","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"Ist das Lager aktiv?","readOnly":true},"number":{"type":"string","description":"Lager-Nr."},"displayName":{"type":"string","description":"Anzeigename"},"salesStorage":{"type":"boolean","default":false,"description":"Lieferlager?"},"purchaseOrderStorage":{"type":"boolean","default":false,"description":"Bestelllager?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll das Lager in die Summierung der Bestände/Verfügbarkeiten mit einbezogen werden?"},"returnOrderStorage":{"type":"boolean","default":false,"description":"Ziel-Lager für Retouren (z.B. aus Rechnungskorrektur mit WR)"},"pickingRequired":{"type":"boolean","default":false,"description":"Muss in diesem Lager kommissioniert werden?"},"withStorageBins":{"type":"boolean","default":false,"description":"Sollen in diesem Lager Lagerplätze verwendet werden"},"allowNegativeStock":{"type":"boolean","default":false,"description":"Darf in diesem Lager negativer Bestand gebucht werden"},"transit":{"type":"boolean","default":false,"description":"Ist es das Transitlager"},"identifier":{"type":"string","description":"Nur bei Lagern ohne Lagerplätze: Barcode (vom Standard-Lagerplatz)"},"onlyOneBatchPerStorageBin":{"type":"boolean","default":false,"description":"Nur eine Charge je Artikel pro Lagerplatz"},"supplyStorage":{"type":"boolean","default":false,"description":"Nachschublager"},"forFabricationComponents":{"type":"boolean","default":false,"description":"Material-Lager"},"defaultForFabricationComponents":{"type":"boolean","default":false,"description":"Standard-Material-Lager"},"fabricationWorkbenchStorage":{"type":"boolean","default":false,"description":"Produktion: Werkbank-Lager"},"fabricationQualityAssurance":{"type":"boolean","default":false,"description":"Produktion: QS-Lager"},"fabricationDefectiveStorage":{"type":"boolean","default":false,"description":"Produktion: Defekt-Lager"},"fabricationTargetStorage":{"type":"boolean","default":false,"description":"Produktion: Ziel-Lager"},"considerForOrderProposal":{"type":"boolean","default":false,"description":"Für Bestellvorschlag berücksichtigen"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/storages/{id}/bins/{storageBinId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins/{storageBinId}":{"put":{"tags":["Storage"],"operationId":"updateStorageBin","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"storageBinId","in":"path","description":"identifier of storage bin","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBin":{"description":"Lagerplatz","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageId":{"type":"string","description":"Lager, in dem sich der Lagerplatz befindet"},"level1":{"type":"string","description":"Ebene1","maxLength":40,"minLength":0},"level2":{"type":"string","description":"Ebene2","maxLength":40,"minLength":0},"level3":{"type":"string","description":"Ebene3","maxLength":40,"minLength":0},"level4":{"type":"string","description":"Ebene4","maxLength":40,"minLength":0},"level5":{"type":"string","description":"Ebene5","maxLength":40,"minLength":0},"level6":{"type":"string","description":"Ebene6","maxLength":40,"minLength":0},"identifier":{"type":"string","description":"Barcode"},"displayName":{"type":"string","description":"Anzeigename"},"description":{"type":"string","description":"Beschreibung"},"routePosition":{"type":"integer","format":"int32","description":"Laufwegposition"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","default":"ACTIVE","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"comment":{"type":"string","description":"Kommentar"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["displayName","storageId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## DELETE /erp/storages/{id}/bins/{storageBinId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins/{storageBinId}":{"delete":{"tags":["Storage"],"operationId":"deleteStorageBin","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"storageBinId","in":"path","description":"identifier of storage bin","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/storages/{id}/bins/{binId}/deactivate

> deaktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins/{binId}/deactivate":{"put":{"tags":["Storage"],"summary":"deaktiviert eine bestehende Resource","operationId":"deactivateStorageBin","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"binId","in":"path","description":"identifier of storage bin","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBin":{"description":"Lagerplatz","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageId":{"type":"string","description":"Lager, in dem sich der Lagerplatz befindet"},"level1":{"type":"string","description":"Ebene1","maxLength":40,"minLength":0},"level2":{"type":"string","description":"Ebene2","maxLength":40,"minLength":0},"level3":{"type":"string","description":"Ebene3","maxLength":40,"minLength":0},"level4":{"type":"string","description":"Ebene4","maxLength":40,"minLength":0},"level5":{"type":"string","description":"Ebene5","maxLength":40,"minLength":0},"level6":{"type":"string","description":"Ebene6","maxLength":40,"minLength":0},"identifier":{"type":"string","description":"Barcode"},"displayName":{"type":"string","description":"Anzeigename"},"description":{"type":"string","description":"Beschreibung"},"routePosition":{"type":"integer","format":"int32","description":"Laufwegposition"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","default":"ACTIVE","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"comment":{"type":"string","description":"Kommentar"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["displayName","storageId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/storages/{id}/bins/{binId}/activate

> aktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins/{binId}/activate":{"put":{"tags":["Storage"],"summary":"aktiviert eine bestehende Resource","operationId":"activateStorageBin","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"binId","in":"path","description":"identifier of storage bin","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBin":{"description":"Lagerplatz","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageId":{"type":"string","description":"Lager, in dem sich der Lagerplatz befindet"},"level1":{"type":"string","description":"Ebene1","maxLength":40,"minLength":0},"level2":{"type":"string","description":"Ebene2","maxLength":40,"minLength":0},"level3":{"type":"string","description":"Ebene3","maxLength":40,"minLength":0},"level4":{"type":"string","description":"Ebene4","maxLength":40,"minLength":0},"level5":{"type":"string","description":"Ebene5","maxLength":40,"minLength":0},"level6":{"type":"string","description":"Ebene6","maxLength":40,"minLength":0},"identifier":{"type":"string","description":"Barcode"},"displayName":{"type":"string","description":"Anzeigename"},"description":{"type":"string","description":"Beschreibung"},"routePosition":{"type":"integer","format":"int32","description":"Laufwegposition"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","default":"ACTIVE","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"comment":{"type":"string","description":"Kommentar"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["displayName","storageId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/storages/{id}/activate

> aktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/activate":{"put":{"tags":["Storage"],"summary":"aktiviert eine bestehende Resource","operationId":"activate_5","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-Storage":{"description":"Lager","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"Ist das Lager aktiv?","readOnly":true},"number":{"type":"string","description":"Lager-Nr."},"displayName":{"type":"string","description":"Anzeigename"},"salesStorage":{"type":"boolean","default":false,"description":"Lieferlager?"},"purchaseOrderStorage":{"type":"boolean","default":false,"description":"Bestelllager?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll das Lager in die Summierung der Bestände/Verfügbarkeiten mit einbezogen werden?"},"returnOrderStorage":{"type":"boolean","default":false,"description":"Ziel-Lager für Retouren (z.B. aus Rechnungskorrektur mit WR)"},"pickingRequired":{"type":"boolean","default":false,"description":"Muss in diesem Lager kommissioniert werden?"},"withStorageBins":{"type":"boolean","default":false,"description":"Sollen in diesem Lager Lagerplätze verwendet werden"},"allowNegativeStock":{"type":"boolean","default":false,"description":"Darf in diesem Lager negativer Bestand gebucht werden"},"transit":{"type":"boolean","default":false,"description":"Ist es das Transitlager"},"identifier":{"type":"string","description":"Nur bei Lagern ohne Lagerplätze: Barcode (vom Standard-Lagerplatz)"},"onlyOneBatchPerStorageBin":{"type":"boolean","default":false,"description":"Nur eine Charge je Artikel pro Lagerplatz"},"supplyStorage":{"type":"boolean","default":false,"description":"Nachschublager"},"forFabricationComponents":{"type":"boolean","default":false,"description":"Material-Lager"},"defaultForFabricationComponents":{"type":"boolean","default":false,"description":"Standard-Material-Lager"},"fabricationWorkbenchStorage":{"type":"boolean","default":false,"description":"Produktion: Werkbank-Lager"},"fabricationQualityAssurance":{"type":"boolean","default":false,"description":"Produktion: QS-Lager"},"fabricationDefectiveStorage":{"type":"boolean","default":false,"description":"Produktion: Defekt-Lager"},"fabricationTargetStorage":{"type":"boolean","default":false,"description":"Produktion: Ziel-Lager"},"considerForOrderProposal":{"type":"boolean","default":false,"description":"Für Bestellvorschlag berücksichtigen"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/storages/rename-transit-storage

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/rename-transit-storage":{"put":{"tags":["Storage"],"operationId":"renameTransitStorage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageChangeNameAndNumberRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}}}}}}},"components":{"schemas":{"erp-stock-StorageChangeNameAndNumberRequest":{"properties":{"number":{"type":"string","description":"Nummer für das Lager"},"name":{"type":"string","description":"der Name für das Lager"}},"required":["number"]},"erp-stock-Storage":{"description":"Lager","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"Ist das Lager aktiv?","readOnly":true},"number":{"type":"string","description":"Lager-Nr."},"displayName":{"type":"string","description":"Anzeigename"},"salesStorage":{"type":"boolean","default":false,"description":"Lieferlager?"},"purchaseOrderStorage":{"type":"boolean","default":false,"description":"Bestelllager?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll das Lager in die Summierung der Bestände/Verfügbarkeiten mit einbezogen werden?"},"returnOrderStorage":{"type":"boolean","default":false,"description":"Ziel-Lager für Retouren (z.B. aus Rechnungskorrektur mit WR)"},"pickingRequired":{"type":"boolean","default":false,"description":"Muss in diesem Lager kommissioniert werden?"},"withStorageBins":{"type":"boolean","default":false,"description":"Sollen in diesem Lager Lagerplätze verwendet werden"},"allowNegativeStock":{"type":"boolean","default":false,"description":"Darf in diesem Lager negativer Bestand gebucht werden"},"transit":{"type":"boolean","default":false,"description":"Ist es das Transitlager"},"identifier":{"type":"string","description":"Nur bei Lagern ohne Lagerplätze: Barcode (vom Standard-Lagerplatz)"},"onlyOneBatchPerStorageBin":{"type":"boolean","default":false,"description":"Nur eine Charge je Artikel pro Lagerplatz"},"supplyStorage":{"type":"boolean","default":false,"description":"Nachschublager"},"forFabricationComponents":{"type":"boolean","default":false,"description":"Material-Lager"},"defaultForFabricationComponents":{"type":"boolean","default":false,"description":"Standard-Material-Lager"},"fabricationWorkbenchStorage":{"type":"boolean","default":false,"description":"Produktion: Werkbank-Lager"},"fabricationQualityAssurance":{"type":"boolean","default":false,"description":"Produktion: QS-Lager"},"fabricationDefectiveStorage":{"type":"boolean","default":false,"description":"Produktion: Defekt-Lager"},"fabricationTargetStorage":{"type":"boolean","default":false,"description":"Produktion: Ziel-Lager"},"considerForOrderProposal":{"type":"boolean","default":false,"description":"Für Bestellvorschlag berücksichtigen"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## PUT /erp/storages/bins/print-labels

> Führt dem Etikettendruck zu gegebenen Lagerplätzen durch

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/bins/print-labels":{"put":{"tags":["Storage"],"summary":"Führt dem Etikettendruck zu gegebenen Lagerplätzen durch","operationId":"printLabels","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinLabelPrintRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinLabelPrintRequest":{"description":"Request zur Durchführung des Etikettendrucks von Lagerplätzen","properties":{"variables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"},"queryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"exportFilename":{"type":"string","description":"Dateiname des Ausdrucks"}}},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]}}}}
```

## POST /erp/storages

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages":{"post":{"tags":["Storage"],"summary":"Create new Resource","operationId":"create_14","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-Storage"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-Storage":{"description":"Lager","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"active":{"type":"boolean","default":true,"description":"Ist das Lager aktiv?","readOnly":true},"number":{"type":"string","description":"Lager-Nr."},"displayName":{"type":"string","description":"Anzeigename"},"salesStorage":{"type":"boolean","default":false,"description":"Lieferlager?"},"purchaseOrderStorage":{"type":"boolean","default":false,"description":"Bestelllager?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll das Lager in die Summierung der Bestände/Verfügbarkeiten mit einbezogen werden?"},"returnOrderStorage":{"type":"boolean","default":false,"description":"Ziel-Lager für Retouren (z.B. aus Rechnungskorrektur mit WR)"},"pickingRequired":{"type":"boolean","default":false,"description":"Muss in diesem Lager kommissioniert werden?"},"withStorageBins":{"type":"boolean","default":false,"description":"Sollen in diesem Lager Lagerplätze verwendet werden"},"allowNegativeStock":{"type":"boolean","default":false,"description":"Darf in diesem Lager negativer Bestand gebucht werden"},"transit":{"type":"boolean","default":false,"description":"Ist es das Transitlager"},"identifier":{"type":"string","description":"Nur bei Lagern ohne Lagerplätze: Barcode (vom Standard-Lagerplatz)"},"onlyOneBatchPerStorageBin":{"type":"boolean","default":false,"description":"Nur eine Charge je Artikel pro Lagerplatz"},"supplyStorage":{"type":"boolean","default":false,"description":"Nachschublager"},"forFabricationComponents":{"type":"boolean","default":false,"description":"Material-Lager"},"defaultForFabricationComponents":{"type":"boolean","default":false,"description":"Standard-Material-Lager"},"fabricationWorkbenchStorage":{"type":"boolean","default":false,"description":"Produktion: Werkbank-Lager"},"fabricationQualityAssurance":{"type":"boolean","default":false,"description":"Produktion: QS-Lager"},"fabricationDefectiveStorage":{"type":"boolean","default":false,"description":"Produktion: Defekt-Lager"},"fabricationTargetStorage":{"type":"boolean","default":false,"description":"Produktion: Ziel-Lager"},"considerForOrderProposal":{"type":"boolean","default":false,"description":"Für Bestellvorschlag berücksichtigen"}},"required":["number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## GET /erp/storages/{id}/bins

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins":{"get":{"tags":["Storage"],"operationId":"getBins","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}}}}}}}},"components":{"schemas":{"erp-stock-StorageBin":{"description":"Lagerplatz","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageId":{"type":"string","description":"Lager, in dem sich der Lagerplatz befindet"},"level1":{"type":"string","description":"Ebene1","maxLength":40,"minLength":0},"level2":{"type":"string","description":"Ebene2","maxLength":40,"minLength":0},"level3":{"type":"string","description":"Ebene3","maxLength":40,"minLength":0},"level4":{"type":"string","description":"Ebene4","maxLength":40,"minLength":0},"level5":{"type":"string","description":"Ebene5","maxLength":40,"minLength":0},"level6":{"type":"string","description":"Ebene6","maxLength":40,"minLength":0},"identifier":{"type":"string","description":"Barcode"},"displayName":{"type":"string","description":"Anzeigename"},"description":{"type":"string","description":"Beschreibung"},"routePosition":{"type":"integer","format":"int32","description":"Laufwegposition"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","default":"ACTIVE","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"comment":{"type":"string","description":"Kommentar"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["displayName","storageId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/storages/{id}/bins

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins":{"post":{"tags":["Storage"],"operationId":"createStorageBin","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBin"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBin":{"description":"Lagerplatz","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageId":{"type":"string","description":"Lager, in dem sich der Lagerplatz befindet"},"level1":{"type":"string","description":"Ebene1","maxLength":40,"minLength":0},"level2":{"type":"string","description":"Ebene2","maxLength":40,"minLength":0},"level3":{"type":"string","description":"Ebene3","maxLength":40,"minLength":0},"level4":{"type":"string","description":"Ebene4","maxLength":40,"minLength":0},"level5":{"type":"string","description":"Ebene5","maxLength":40,"minLength":0},"level6":{"type":"string","description":"Ebene6","maxLength":40,"minLength":0},"identifier":{"type":"string","description":"Barcode"},"displayName":{"type":"string","description":"Anzeigename"},"description":{"type":"string","description":"Beschreibung"},"routePosition":{"type":"integer","format":"int32","description":"Laufwegposition"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"state":{"type":"string","default":"ACTIVE","description":"Status eines Lagerplatzes","enum":["ACTIVE","INACTIVE","SUSPENDED","BLOCKED_FOR_INVENTORY"]},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"comment":{"type":"string","description":"Kommentar"},"storageAreaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["displayName","storageId"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/storages/{id}/bins/generate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins/generate":{"post":{"tags":["Storage"],"operationId":"generateStorageBins","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinGenerateRequest":{"description":"Infos zur Generierung von Lagerplätzen","properties":{"storageId":{"type":"integer","format":"int64","description":"ID des Lagers, für das die Lagerplätze generiert werden sollen"},"storageAreaId":{"type":"integer","format":"int64","description":"Lagerbereich, zu dem dieser Lagerplatz gehört"},"numOfLevels":{"type":"integer","format":"int32","description":"Anzahl der Ebenen","maximum":6,"minimum":1},"rangeLevel1":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel2":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel3":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel4":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel5":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel6":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"generateUniqueIdentifier":{"type":"boolean","default":false,"description":"Sollen eindeutige Identifier für die Lagerplätze generiert werden"},"startOfRoutePosition":{"type":"integer","format":"int32","description":"Start der Laufwegposition für diese generierten Lagerplätze"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"separator":{"type":"string","description":"Trenner","pattern":"^[-/_\\\\| ]+$"}},"required":["numOfLevels"]},"erp-stock-StorageBinGenerateRequest.LevelRange":{"description":"Bereich für eine Ebene","properties":{"from":{"type":"string"},"to":{"type":"string"}}},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/storages/{id}/bins/generate-count

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Storage","description":"Lager"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/storages/{id}/bins/generate-count":{"post":{"tags":["Storage"],"operationId":"generateStorageBinsCount","parameters":[{"name":"id","in":"path","description":"identifier of storage","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}}},"components":{"schemas":{"erp-stock-StorageBinGenerateRequest":{"description":"Infos zur Generierung von Lagerplätzen","properties":{"storageId":{"type":"integer","format":"int64","description":"ID des Lagers, für das die Lagerplätze generiert werden sollen"},"storageAreaId":{"type":"integer","format":"int64","description":"Lagerbereich, zu dem dieser Lagerplatz gehört"},"numOfLevels":{"type":"integer","format":"int32","description":"Anzahl der Ebenen","maximum":6,"minimum":1},"rangeLevel1":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel2":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel3":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel4":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel5":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"rangeLevel6":{"$ref":"#/components/schemas/erp-stock-StorageBinGenerateRequest.LevelRange"},"generateUniqueIdentifier":{"type":"boolean","default":false,"description":"Sollen eindeutige Identifier für die Lagerplätze generiert werden"},"startOfRoutePosition":{"type":"integer","format":"int32","description":"Start der Laufwegposition für diese generierten Lagerplätze"},"shelfSpace":{"type":"boolean","default":false,"description":"Normaler Regalplatz?"},"forIncomingGoods":{"type":"boolean","default":false,"description":"Für Wareneingang?"},"palletSpace":{"type":"boolean","default":false,"description":"Für Paletten/Nachschubmengen?"},"clarifySpace":{"type":"boolean","default":false,"description":"Zur Klärung?"},"forReturnedGoods":{"type":"boolean","default":false,"description":"Für Retouren?"},"useInAvailabilityDetermination":{"type":"boolean","default":false,"description":"Soll der Lagerplatz in der Ermittlung der verfügbaren Mengen beachtet werden?"},"maxAllowedWeight":{"type":"number","description":"Maximal zulässiges Gewicht"},"heightInCM":{"type":"number","description":"Höhe in CM"},"widthInCM":{"type":"number","description":"Breite in CM"},"depthInCM":{"type":"number","description":"Tiefe in CM"},"color":{"type":"string","description":"Farbe zur Anzeige","pattern":"^#[0-9A-Fa-f]{6}$"},"separator":{"type":"string","description":"Trenner","pattern":"^[-/_\\\\| ]+$"}},"required":["numOfLevels"]},"erp-stock-StorageBinGenerateRequest.LevelRange":{"description":"Bereich für eine Ebene","properties":{"from":{"type":"string"},"to":{"type":"string"}}}}}}
```

## POST /erp/storages/bins

>

```json
[...]
